Saltar al contenido principal

Devices

Manage ZKTeco devices connected to the platform.

List Devices

Retrieve a list of connected devices.

Endpoint: GET /public/v2/devices

curl -X GET "https://api.biosensei.io/public/v2/devices" \
-H "Authorization: Bearer <token>"

Get Device

Retrieve details of a specific device.

Endpoint: GET /public/v2/devices/:id

curl -X GET "https://api.biosensei.io/public/v2/devices/2" \
-H "Authorization: Bearer <token>"

Create Device

Register a new device.

Endpoint: POST /public/v2/devices

curl -X POST "https://api.biosensei.io/public/v2/devices" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"name": "Main Entrance Device",
"serial_number": "SN123456789",
"company_id": 4
}'

Parameters

NameTypeRequiredDescription
namestringYesFriendly name for the device.
serial_numberstringYesThe Serial Number of the physical ZKTeco device.
company_idintegerYesID of the company owning the device.

Update Device

Update device details.

Endpoint: PUT /public/v2/devices/:id

curl -X PUT "https://api.biosensei.io/public/v2/devices/4" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"name": "Main Entrance Device Updated",
"serial_number": "SN123456789",
"company_id": 4
}'